﻿
/* Base styles (Desktop) */

#NewsletterIframeBody {
    height: 401px;
    direction: rtl;
    font-family: 'Assistant';
}

.newsletterPopUpForm {
    color: #27292B;
    font-weight: 600;
    display: flex;
    flex-direction: column;
    width: 381px;
    height: 235px;
    gap: 25px;
    margin: auto;
    justify-content: center;
}

    .newsletterPopUpForm .inputContainer {
        display: flex;
        flex-direction: column;
        font-size: 16px;
    }

/* Popup container */
.newsletterPopup {
    display: none;
    position: fixed;
    z-index: 99;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    background-color: rgb(0,0,0);
    background-color: rgba(0,0,0,0.4);
}

/* Popup content */
.popup-content {
    background-color: #fefefe;
    margin: 15% auto;
    border: 1px solid #888;
    width: fit-content;
    min-width: 654px;
    min-height: 401px;
    border-radius: 4px;
    display: flex;
    flex-direction: column;
}


/* Close button */
.close {
    float: right;
    font-size: 43px;
    font-weight: 300;
    position: absolute;
    top: 5px;
    left: 15px;
}

    .close:hover,
    .close:focus {
        color: black;
        text-decoration: none;
        cursor: pointer;
    }

#FooterRegInput {
    min-width: 250px;
    border: 1px solid #CFCFCF;
    border-radius: 4px;
}

    #FooterRegInput:focus-visible {
        outline: 0;
    }

.newsletterPopUpFormBtn {
    border: 0;
    background: #028094;
    width: 100%;
    color: #fff;
    border-radius: 4px;
    padding: 14px;
    font-size: 16px;
    cursor: pointer;
}

    /* Styles for the disabled state */
    .newsletterPopUpFormBtn:disabled {
        background: #cccccc;
        cursor: not-allowed;
        opacity: 0.7;
    }

.NewsletterPopupTitleContainer {
    color: #27292B;
    background: #99DDE97A;
    text-align: center;
    padding: 20px;
    padding-top: 45px;
    position: relative;
    font-weight: 600;
    font-size: 16px;
}

    .NewsletterPopupTitleContainer .NewsletterPopupTitleContainerImage {
        position: absolute;
        right: 20px;
        top: 10px;
    }


    .NewsletterPopupTitleContainer h2 {
        font-weight: 700;
        font-size: 31px;
    }

#NewsletterIframeBody .personal-privacy-wrp {
    font-size: 12px;
    display: flex;
    align-items: center;
    color: #27292B;
}

    #NewsletterIframeBody .personal-privacy-wrp div {
        display: inline-block;
    }

.personalPrivacyErrorText {
    color: red;
    font-size: 12px;
}

#DeskToast {
    z-index: 103;
    width: 412px !important;
    left: 19% !important;
    margin-left: 0 !important;
    border-radius: 4px !important;
}


/* Mobile styles */
@media (max-width: 600px) {

    #NewsletterIframeBody {
        height: 360px;
    }

    .popup-content {
        min-width: 90%;
        margin: 68% auto;
        min-height: auto;
    }

        .popup-content iframe {
            height: 365px !important;
        }

    .newsletterPopUpForm {
        width: -webkit-fill-available;
        height: 185px;
        padding: 15px;
    }

    .NewsletterPopupTitleContainer {
        padding: 20px;
        padding-top: 35px;
        font-size: 14px;
    }

    .newsletterInputTrigger {
        border: none !important;
        font-size: 15px;
    }

    .NewsletterPopupTitleContainer h2 {
        font-size: 22px;
    }

    .NewsletterPopupTitleContainer .NewsletterPopupTitleContainerImage {
        position: absolute;
        right: 15px;
        top: 8px;
        width: 12%;
        height: auto;
    }

    .close {
        float: right;
        font-size: 37px;
        font-weight: 300;
        position: absolute;
        top: 0px;
        left: 14px;
    }

    .newsletterPopUpFormBtn {
        padding: 12px;
        font-size: 15px;
    }

    .inputContainer > input {
        padding: 10px;
        margin-top: 10px;
    }


    #DeskToast {
        z-index: 105;
        width: 92% !important;
        left: 4% !important;
        margin-left: 0 !important;
        border-radius: 4px !important;
    }
}
